import { EventEmitter } from '../../../stencil-public-runtime';
import { WorkflowDefinitionSummary } from "../models/entities";
export declare class WorkflowDefinitionBrowser {
  static readonly DEFAULT_PAGE_SIZE = 15;
  static readonly MIN_PAGE_SIZE = 5;
  static readonly MAX_PAGE_SIZE = 100;
  static readonly START_PAGE = 0;
  private readonly api;
  private selectAllCheckbox;
  private readonly modalDialogService;
  private readonly activityDescriptorManager;
  constructor();
  workflowDefinitionSelected: EventEmitter<WorkflowDefinitionSummary>;
  workflowInstancesSelected: EventEmitter<WorkflowDefinitionSummary>;
  newWorkflowDefinitionSelected: EventEmitter;
  private workflowDefinitions;
  private publishedWorkflowDefinitions;
  private selectedWorkflowDefinitionIds;
  private currentPage;
  private currentPageSize;
  private orderBy?;
  private labels?;
  private selectAllChecked;
  private searchTerm?;
  componentWillLoad(): Promise<void>;
  private onNewDefinitionClick;
  private onSearch;
  private onPublishClick;
  private onUnPublishClick;
  private onDeleteClick;
  private onDeleteManyClick;
  private onPublishManyClick;
  private onUnpublishManyClick;
  private onWorkflowDefinitionClick;
  private onWorkflowInstancesClick;
  private loadWorkflowDefinitions;
  private onPaginated;
  private onPageSizeChanged;
  private onOrderByChanged;
  private onLabelChange;
  private resetPagination;
  private getSelectAllState;
  private setSelectAllIndeterminateState;
  private onWorkflowDefinitionCheckChange;
  private onSelectAllCheckChange;
  render(): any;
}
