import { EventEmitter } from "../../../../stencil-public-runtime";
import { InputDefinition, OutputDefinition } from "../../models/entities";
export declare class InputOutputSettings {
  private readonly modalDialogService;
  private readonly inputSaveAction;
  private readonly outputSaveAction;
  private modalDialogInstance;
  constructor();
  inputs?: Array<InputDefinition>;
  outputs?: Array<OutputDefinition>;
  outcomes?: Array<string>;
  inputsChanged: EventEmitter<InputDefinition[]>;
  outputsChanged: EventEmitter<OutputDefinition[]>;
  outcomesChanged: EventEmitter<Array<string>>;
  inputsState: Array<InputDefinition>;
  outputsState: Array<OutputDefinition>;
  onInputsPropChanged(value: Array<InputDefinition>): void;
  onOutputsPropChanged(value: Array<OutputDefinition>): void;
  componentWillLoad(): void;
  render(): any;
  private renderInputs;
  private renderOutputs;
  private renderOutcomes;
  private getInputNameExists;
  private getOutputNameExists;
  private updateInputsState;
  private updateOutputsState;
  private generateNewInputName;
  private generateNewOutputName;
  private onAddInputClick;
  private onAddOutputClick;
  private onEditInputClick;
  private onEditOutputClick;
  private onDeleteInputClick;
  private onDeleteOutputClick;
  private onInputDefinitionChanged;
  private onOutputDefinitionChanged;
  private onOutcomesChanged;
}
