import { EventEmitter } from '../../../stencil-public-runtime';
import { WorkflowDefinition } from "../../workflow-definitions/models/entities";
import { WorkflowInstanceSummary } from "../../../models";
import { PagerData } from "../../../components/shared/pager/pager";
export declare class WorkflowInstanceBrowser {
  static readonly DEFAULT_PAGE_SIZE = 15;
  static readonly MIN_PAGE_SIZE = 5;
  static readonly MAX_PAGE_SIZE = 100;
  static readonly START_PAGE = 0;
  private readonly workflowInstancesApi;
  private readonly workflowDefinitionsApi;
  private readonly modalDialogService;
  private selectAllCheckbox;
  private publishedOrLatestWorkflows;
  constructor();
  workflowDefinition: WorkflowDefinition;
  workflowInstanceSelected: EventEmitter<WorkflowInstanceSummary>;
  private workflowInstances;
  private workflows;
  private selectAllChecked;
  private selectedWorkflowInstanceIds;
  private searchTerm?;
  private currentPage;
  private currentPageSize;
  private selectedWorkflowDefinitionId?;
  private selectedStatus?;
  private selectedSubStatus?;
  private orderBy?;
  componentWillLoad(): Promise<void>;
  render(): any;
  private onDeleteManyClick;
  private onCancelManyClick;
  private resetPagination;
  private loadWorkflowInstances;
  private loadWorkflowDefinitions;
  private getSelectAllState;
  private setSelectAllIndeterminateState;
  private selectLatestWorkflows;
  private onSearch;
  private onPageSizeChanged;
  private onWorkflowChanged;
  private onWorkflowStatusChanged;
  private onWorkflowSubStatusChanged;
  private onOrderByChanged;
  private onDeleteClick;
  private onWorkflowInstanceClick;
  private onSelectAllCheckChange;
  private onWorkflowInstanceCheckChange;
  onPaginated: (e: CustomEvent<PagerData>) => Promise<void>;
}
