'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2c400919.js');

/*
 Stencil Client Patch Browser v3.2.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('elsa-workflows-designer.cjs.js', document.baseURI).href));
    const opts = {};
    // TODO(STENCIL-663): Remove code related to deprecated `safari10` field.
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
        // TODO(STENCIL-661): Remove code related to the dynamic import shim
        // TODO(STENCIL-663): Remove code related to deprecated `safari10` field.
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy(JSON.parse("[[\"elsa-workflow-definition-editor.cjs\",[[0,\"elsa-workflow-definition-editor\",{\"workflowDefinition\":[16],\"monacoLibPath\":[1,\"monaco-lib-path\"],\"workflowDefinitionState\":[32],\"selectedActivity\":[32],\"workflowVersions\":[32],\"getFlowchart\":[64],\"registerActivityDrivers\":[64],\"getWorkflowDefinition\":[64],\"importWorkflow\":[64],\"updateWorkflowDefinition\":[64],\"newWorkflow\":[64],\"loadWorkflowVersions\":[64],\"updateActivity\":[64]},[[9,\"resize\",\"handleResize\"],[0,\"containerSelected\",\"handleContainerSelected\"]]]]],[\"elsa-workflow-instance-viewer.cjs\",[[0,\"elsa-workflow-instance-viewer\",{\"monacoLibPath\":[1,\"monaco-lib-path\"],\"workflowDefinition\":[16],\"workflowInstance\":[16],\"mainWorkflowDefinitionState\":[32],\"targetWorkflowDefinitionState\":[32],\"workflowInstanceState\":[32],\"selectedActivity\":[32],\"selectedExecutionLogRecord\":[32],\"flowchartRootActivity\":[32],\"getCanvas\":[64],\"registerActivityDrivers\":[64],\"getWorkflow\":[64],\"importWorkflow\":[64],\"updateWorkflowDefinition\":[64]},[[9,\"resize\",\"handleResize\"],[0,\"collapsed\",\"handlePanelCollapsed\"],[0,\"containerSelected\",\"handleContainerSelected\"],[0,\"activitySelected\",\"handleActivitySelected\"],[0,\"journalItemSelected\",\"handleJournalItemSelected\"]]]]],[\"elsa-multi-text-input.cjs\",[[0,\"elsa-multi-text-input\",{\"inputContext\":[16]}]]],[\"elsa-check-list-input.cjs\",[[0,\"elsa-check-list-input\",{\"inputContext\":[16],\"selectedValues\":[32],\"selectedValue\":[32]}]]],[\"elsa-checkbox-input.cjs\",[[0,\"elsa-checkbox-input\",{\"inputContext\":[16],\"isChecked\":[32]}]]],[\"elsa-dropdown-input.cjs\",[[0,\"elsa-dropdown-input\",{\"inputContext\":[16]}]]],[\"elsa-multi-line-input.cjs\",[[0,\"elsa-multi-line-input\",{\"inputContext\":[16]}]]],[\"elsa-outcome-picker-input.cjs\",[[0,\"elsa-outcome-picker-input\",{\"inputContext\":[16]}]]],[\"elsa-output-picker-input.cjs\",[[0,\"elsa-output-picker-input\",{\"inputContext\":[16]}]]],[\"elsa-radio-list-input.cjs\",[[0,\"elsa-radio-list-input\",{\"inputContext\":[16],\"selectedValue\":[32]}]]],[\"elsa-single-line-input.cjs\",[[0,\"elsa-single-line-input\",{\"inputContext\":[16]}]]],[\"elsa-type-picker-input.cjs\",[[0,\"elsa-type-picker-input\",{\"inputContext\":[16]}]]],[\"elsa-workflow-context-provider-type-picker-input.cjs\",[[0,\"elsa-workflow-context-provider-type-picker-input\",{\"inputContext\":[16],\"descriptors\":[16],\"workflowDefinition\":[16]}]]],[\"elsa-workflow-definition-browser.cjs\",[[0,\"elsa-workflow-definition-browser\",{\"workflowDefinitions\":[32],\"publishedWorkflowDefinitions\":[32],\"selectedWorkflowDefinitionIds\":[32],\"currentPage\":[32],\"currentPageSize\":[32],\"orderBy\":[32],\"labels\":[32],\"selectAllChecked\":[32],\"searchTerm\":[32]}]]],[\"elsa-workflow-instance-browser.cjs\",[[0,\"elsa-workflow-instance-browser\",{\"workflowDefinition\":[16],\"workflowInstances\":[32],\"workflows\":[32],\"selectAllChecked\":[32],\"selectedWorkflowInstanceIds\":[32],\"searchTerm\":[32],\"currentPage\":[32],\"currentPageSize\":[32],\"selectedWorkflowDefinitionId\":[32],\"selectedStatus\":[32],\"selectedSubStatus\":[32],\"orderBy\":[32]}]]],[\"elsa-code-editor-input.cjs\",[[0,\"elsa-code-editor-input\",{\"inputContext\":[16]}]]],[\"elsa-default-activity-template.cjs\",[[0,\"elsa-default-activity-template\",{\"activityType\":[1,\"activity-type\"],\"activityTypeVersion\":[2,\"activity-type-version\"],\"displayType\":[1,\"display-type\"],\"activityId\":[1,\"activity-id\"],\"selectedPortName\":[32]},[[8,\"click\",\"onWindowClicked\"]]]]],[\"elsa-flow-switch-editor.cjs\",[[0,\"elsa-flow-switch-editor\",{\"inputContext\":[16],\"cases\":[32]}]]],[\"elsa-home-page.cjs\",[[0,\"elsa-home-page\"]]],[\"elsa-http-status-codes-editor.cjs\",[[0,\"elsa-http-status-codes-editor\",{\"inputContext\":[16]}]]],[\"elsa-switch-editor.cjs\",[[0,\"elsa-switch-editor\",{\"inputContext\":[16],\"cases\":[32]}]]],[\"elsa-variable-picker-input.cjs\",[[0,\"elsa-variable-picker-input\",{\"inputContext\":[16],\"workflowDefinition\":[16]}]]],[\"elsa-workflow-context-provider-check-list.cjs\",[[0,\"elsa-workflow-context-provider-check-list\",{\"descriptors\":[16],\"workflowDefinition\":[16],\"selectList\":[32],\"selectedProviderTypes\":[32]}]]],[\"elsa-workflow-definition-activity-version-settings.cjs\",[[0,\"elsa-workflow-definition-activity-version-settings\",{\"renderContext\":[16],\"currentVersion\":[32]}]]],[\"elsa-workflow-publish-button.cjs\",[[0,\"elsa-workflow-publish-button\",{\"publishing\":[4],\"disabled\":[4]}]]],[\"elsa-button-group.cjs\",[[0,\"elsa-button-group\",{\"buttons\":[1040]}]]],[\"elsa-input-tags-dropdown.cjs\",[[0,\"elsa-input-tags-dropdown\",{\"fieldName\":[1,\"field-name\"],\"fieldId\":[1,\"field-id\"],\"placeHolder\":[1,\"place-holder\"],\"values\":[16],\"dropdownValues\":[16],\"currentValues\":[32]}]]],[\"elsa-label-picker.cjs\",[[0,\"elsa-label-picker\",{\"selectedLabels\":[16],\"buttonClass\":[1,\"button-class\"],\"containerClass\":[1,\"container-class\"],\"selectedLabelsState\":[32],\"searchText\":[32],\"filteredLabels\":[32]},[[8,\"click\",\"onWindowClicked\"]]]]],[\"elsa-login-page.cjs\",[[0,\"elsa-login-page\",{\"showError\":[32]}]]],[\"elsa-slide-over-panel.cjs\",[[0,\"elsa-slide-over-panel\",{\"headerText\":[1,\"header-text\"],\"tabs\":[16],\"selectedTab\":[1040],\"actions\":[16],\"expand\":[4],\"isHiding\":[32],\"isShowing\":[32],\"isVisible\":[32],\"show\":[64],\"hide\":[64]}]]],[\"elsa-workflow-definition-picker-input.cjs\",[[0,\"elsa-workflow-definition-picker-input\",{\"inputContext\":[16]}]]],[\"elsa-check-list.cjs\",[[0,\"elsa-check-list\",{\"selectList\":[16],\"selectedValues\":[1040],\"selectedValue\":[1026,\"selected-value\"],\"fieldName\":[1,\"field-name\"]}]]],[\"elsa-pager.cjs\",[[0,\"elsa-pager\",{\"page\":[2],\"pageSize\":[2,\"page-size\"],\"totalCount\":[2,\"total-count\"]}]]],[\"elsa-variables-viewer.cjs\",[[0,\"elsa-variables-viewer\",{\"variables\":[16],\"workflowDefinition\":[16],\"workflowInstance\":[16]}]]],[\"elsa-activity-properties_3.cjs\",[[0,\"elsa-workflow-instance-properties\",{\"workflowDefinition\":[16],\"workflowInstance\":[16],\"model\":[32],\"selectedTabIndex\":[32],\"changeHandle\":[32],\"show\":[64],\"hide\":[64]}],[0,\"elsa-activity-properties\",{\"activity\":[1040],\"activityExecutionLog\":[16],\"activityPropertyTabIndex\":[2,\"activity-property-tab-index\"],\"selectedTabIndex\":[32],\"show\":[64],\"hide\":[64],\"updateSelectedTab\":[64]}],[0,\"elsa-workflow-journal\",{\"model\":[16],\"workflowExecutionLogRecords\":[32],\"blocks\":[32],\"rootBlocks\":[32],\"expandedBlocks\":[32],\"journalActivityMap\":[32],\"refresh\":[64]}]]],[\"elsa-tooltip_2.cjs\",[[0,\"elsa-workflow-definition-editor-toolbox-activities\",{\"graph\":[16],\"isReadonly\":[4,\"is-readonly\"],\"expandedCategories\":[32],\"categoryModels\":[32],\"renderedActivities\":[32]}],[4,\"elsa-tooltip\",{\"tooltipContent\":[8,\"tooltip-content\"],\"tooltipPosition\":[1,\"tooltip-position\"],\"triangleClass\":[32]}]]],[\"elsa-input-tags.cjs\",[[0,\"elsa-input-tags\",{\"fieldId\":[1,\"field-id\"],\"placeHolder\":[1,\"place-holder\"],\"values\":[1040]}]]],[\"elsa-dropdown-button.cjs\",[[0,\"elsa-dropdown-button\",{\"text\":[1],\"icon\":[8],\"handler\":[16],\"origin\":[2],\"items\":[16],\"theme\":[1],\"disabled\":[4]},[[8,\"click\",\"onWindowClicked\"]]]]],[\"elsa-context-menu.cjs\",[[0,\"elsa-context-menu\",{\"menuItems\":[1040],\"hideButton\":[4,\"hide-button\"],\"anchorPoint\":[2,\"anchor-point\"],\"open\":[64],\"close\":[64]},[[8,\"click\",\"onWindowClicked\"]]]]],[\"context-consumer_3.cjs\",[[4,\"elsa-input-control-switch\",{\"workflowDefinitionId\":[1025,\"workflow-definition-id\"],\"activityType\":[1025,\"activity-type\"],\"propertyName\":[1025,\"property-name\"],\"label\":[1],\"hideLabel\":[4,\"hide-label\"],\"hint\":[1],\"fieldName\":[1,\"field-name\"],\"syntax\":[1],\"expression\":[1],\"defaultSyntax\":[1,\"default-syntax\"],\"supportedSyntaxes\":[16],\"isReadOnly\":[4,\"is-read-only\"],\"codeEditorHeight\":[1,\"code-editor-height\"],\"codeEditorSingleLineMode\":[4,\"code-editor-single-line-mode\"],\"context\":[16],\"currentExpression\":[32]},[[8,\"click\",\"onWindowClicked\"]]],[0,\"elsa-monaco-editor\",{\"editorHeight\":[513,\"editor-height\"],\"value\":[1],\"language\":[1],\"singleLineMode\":[516,\"single-line\"],\"padding\":[1],\"setValue\":[64],\"addJavaScriptLib\":[64]}],[0,\"context-consumer\",{\"context\":[16],\"renderer\":[16],\"subscribe\":[16],\"unsubscribe\":[32]}]]],[\"elsa-activity-properties-editor_4.cjs\",[[0,\"elsa-workflow-definition-properties-editor\",{\"workflowDefinition\":[16],\"workflowVersions\":[16],\"readonly\":[4],\"model\":[32],\"selectedTabIndex\":[32],\"show\":[64],\"hide\":[64]}],[0,\"elsa-activity-properties-editor\",{\"workflowDefinitionId\":[1,\"workflow-definition-id\"],\"activity\":[16],\"variables\":[16],\"outputs\":[16],\"isReadonly\":[4,\"is-readonly\"],\"selectedTabIndex\":[32],\"show\":[64],\"hide\":[64]}],[0,\"elsa-workflow-definition-editor-toolbox\",{\"graph\":[16],\"isReadonly\":[4,\"is-readonly\"],\"selectedTabIndex\":[32]}],[0,\"elsa-workflow-definition-editor-toolbar\",{\"zoomToFit\":[16]}]]],[\"elsa-flowchart_3.cjs\",[[0,\"elsa-flowchart\",{\"rootActivity\":[16],\"interactiveMode\":[4,\"interactive-mode\"],\"silent\":[4],\"isReadonly\":[4,\"is-readonly\"],\"activityLookup\":[32],\"activities\":[32],\"path\":[32],\"newRoot\":[64],\"updateGraph\":[64],\"getGraph\":[64],\"reset\":[64],\"updateLayout\":[64],\"zoomToFit\":[64],\"scrollToStart\":[64],\"autoLayout\":[64],\"addActivity\":[64],\"updateActivity\":[64],\"getActivity\":[64],\"renameActivity\":[64],\"export\":[64]},[[0,\"childActivitySelected\",\"handleChildActivitySelected\"],[0,\"editChildActivity\",\"editChildActivity\"]]],[4,\"elsa-panel\",{\"position\":[2],\"isExpanded\":[32]}],[0,\"elsa-workflow-navigator\",{\"items\":[16],\"rootActivity\":[16]}]]],[\"elsa-copy-button_2.cjs\",[[0,\"elsa-copy-button\",{\"value\":[1],\"isCopied\":[32]}],[0,\"elsa-form-panel\",{\"mainTitle\":[1,\"main-title\"],\"subTitle\":[1,\"sub-title\"],\"isReadonly\":[4,\"is-readonly\"],\"orientation\":[1],\"tabs\":[16],\"selectedTabIndex\":[1026,\"selected-tab-index\"],\"actions\":[16]}]]],[\"elsa-activity-input-editor-dialog-content_7.cjs\",[[0,\"elsa-workflow-definition-input-output-settings\",{\"inputs\":[16],\"outputs\":[16],\"outcomes\":[16],\"inputsState\":[32],\"outputsState\":[32]}],[0,\"elsa-variables-editor\",{\"variables\":[16],\"variablesState\":[32]}],[0,\"elsa-workflow-definition-version-history\",{\"selectedVersion\":[16],\"workflowVersions\":[16],\"serverUrl\":[1,\"server-url\"]}],[0,\"elsa-widgets\",{\"widgets\":[16]}],[0,\"elsa-activity-input-editor-dialog-content\",{\"input\":[16],\"getInput\":[64]}],[0,\"elsa-activity-output-editor-dialog-content\",{\"output\":[16],\"getOutput\":[64]}],[0,\"elsa-variable-editor-dialog-content\",{\"variable\":[16],\"getVariable\":[64]}]]],[\"elsa-blank_10.cjs\",[[0,\"elsa-studio\",{\"serverUrl\":[1,\"server\"],\"monacoLibPath\":[1,\"monaco-lib-path\"],\"enableFlexiblePorts\":[4,\"enable-flexible-ports\"],\"disableAuth\":[4,\"disable-auth\"]}],[0,\"elsa-workflow-toolbar\"],[0,\"elsa-modal-dialog-container\"],[0,\"elsa-blank\"],[0,\"elsa-toast-manager\"],[0,\"elsa-notifications-manager\",{\"modalState\":[4,\"modal-state\"]}],[0,\"elsa-modal-dialog\",{\"modalDialogInstance\":[16],\"actions\":[16],\"size\":[1],\"type\":[2],\"autoHide\":[4,\"auto-hide\"],\"content\":[16],\"isVisible\":[32],\"show\":[64],\"hide\":[64]},[[8,\"keydown\",\"handleKeyDown\"]]],[0,\"elsa-workflow-toolbar-menu\",null,[[8,\"click\",\"onWindowClicked\"]]],[0,\"elsa-toast-notification\",{\"notification\":[16],\"showDuration\":[2,\"show-duration\"]}],[4,\"elsa-notification-template\",{\"notification\":[16],\"time\":[32]}]]]]"), options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=elsa-workflows-designer.cjs.js.map